Bug 1188459 - (CVE-2021-20299) VUL-0: CVE-2021-20299: openexr: Null-dereference READ in Imf_2_5:Header:operator
(CVE-2021-20299)
VUL-0: CVE-2021-20299: openexr: Null-dereference READ in Imf_2_5:Header:operator
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/304011/
CVSSv3.1:SUSE:CVE-2021-20299:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-19 12:58 UTC by Alexander Bergmann
Modified: 2021-11-23 13:26 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Petr Gajdos 2021-08-03 15:10:17 UTC
Fixed in openexr 2.5.7, which is on its way to Factory.

Will submit to 15,12/openexr. 11/OpenEXR does not have the code.
Comment 2 Petr Gajdos 2021-08-03 16:34:22 UTC
Packages submitted.

I believe all fixed.
Comment 4 Swamp Workflow Management 2021-08-20 13:23:09 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2793-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188457,1188458,1188459,1188460,1188461,1188462
CVE References: CVE-2021-20298,CVE-2021-20299,CVE-2021-20300,CVE-2021-20302,CVE-2021-20303,CVE-2021-20304,CVE-2021-3476
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    openexr-2.2.1-3.35.1
SUSE Manager Retail Branch Server 4.0 (src):    openexr-2.2.1-3.35.1
SUSE Manager Proxy 4.0 (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Server for SAP 15 (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Server 15-LTSS (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    openexr-2.2.1-3.35.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    openexr-2.2.1-3.35.1
SUSE Enterprise Storage 6 (src):    openexr-2.2.1-3.35.1
SUSE CaaS Platform 4.0 (src):    openexr-2.2.1-3.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-08-20 13:28:00 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2793-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188457,1188458,1188459,1188460,1188461,1188462
CVE References: CVE-2021-20298,CVE-2021-20299,CVE-2021-20300,CVE-2021-20302,CVE-2021-20303,CVE-2021-20304,CVE-2021-3476
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    openexr-2.2.1-3.35.1
Comment 6 Swamp Workflow Management 2021-08-26 01:18:30 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1198-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188457,1188458,1188459,1188460,1188461,1188462
CVE References: CVE-2021-20298,CVE-2021-20299,CVE-2021-20300,CVE-2021-20302,CVE-2021-20303,CVE-2021-20304,CVE-2021-3476
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    openexr-2.2.1-lp152.7.20.1
Comment 7 Swamp Workflow Management 2021-09-02 13:32:53 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2913-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1188457,1188458,1188459,1188460,1188461,1188462
CVE References: CVE-2021-20298,CVE-2021-20299,CVE-2021-20300,CVE-2021-20302,CVE-2021-20303,CVE-2021-20304,CVE-2021-3476
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    openexr-2.1.0-6.37.1
SUSE OpenStack Cloud Crowbar 8 (src):    openexr-2.1.0-6.37.1
SUSE OpenStack Cloud 9 (src):    openexr-2.1.0-6.37.1
SUSE OpenStack Cloud 8 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server 12-SP5 (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    openexr-2.1.0-6.37.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    openexr-2.1.0-6.37.1
HPE Helion Openstack 8 (src):    openexr-2.1.0-6.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Marcus Meissner 2021-11-23 13:26:29 UTC
released